#include "tistdtypes.h"
//Copy multiple of 8 bytes data to show the max bandwith of data transfer by CPU
void MemCopy8(long long * restrict dst, long long * restrict src, Uint32 uiCount)
{
	int i;
#pragma MUST_ITERATE(16,,16)
	for(i=0; i< uiCount/4; i++)
	{
		*dst++=*src++;
		*dst++=*src++;
		*dst++=*src++;
		*dst++=*src++;
	}
}

